#
# spec file for package duktape
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover 206
Name:           duktape
Version:        2.6.0
Release:        150500.2.1
Summary:        Embeddable Javascript engine
License:        MIT
Group:          Development/Libraries/C and C++
URL:            https://duktape.org/
Source0:        https://duktape.org/%{name}-%{version}.tar.xz
Source1:        duktape.pc.in
Patch0:         duktape-link-m.patch
BuildRequires:  gcc
BuildRequires:  pkgconfig

%description
Duktape is an embeddable Javascript engine, with a focus on portability and
compact footprint.

%package -n     lib%{name}%{sover}
Summary:        The core library for %{name}
Group:          System/Libraries

%description -n lib%{name}%{sover}
Embeddable Javascript engine.

This package contains the shared library.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       lib%{name}%{sover} = %{version}

%description    devel
Embeddable Javascript engine.

This package contains header files and libraries needed to develop
application that use %{name}.

%prep
%setup -q
%patch0 -p1

sed -e's|@prefix@|%{_prefix}|' \
    -e's|@libdir@|%{_lib}|' \
    -e's|@PACKAGE_VERSION@|%{version}|' \
    < %{SOURCE1} > %{name}.pc.in

%build
sed -e '/^INSTALL_PREFIX/s|[^=]*$|%{_prefix}|' \
    -e 's/\(-o.*\)/%{optflags} \1/' \
   	-e '/install\:/a\\tinstall -d $(DESTDIR)$(INSTALL_PREFIX)/%{_lib}\n\tinstall -d $(DESTDIR)$(INSTALL_PREFIX)/include' \
    -e 's/\(\$.INSTALL_PREFIX.\)/$(DESTDIR)\1/' \
    -e 's/\/lib\b/\/%{_lib}/g' \
     < Makefile.sharedlibrary > Makefile
%make_build

%install
%make_install

install -Dm0644 %{name}.pc.in %{buildroot}%{_libdir}/pkgconfig/%{name}.pc

%post   -n lib%{name}%{sover} -p /sbin/ldconfig
%postun -n lib%{name}%{sover} -p /sbin/ldconfig

%files -n lib%{name}%{sover}
%doc AUTHORS.rst
%license LICENSE.txt
%{_libdir}/libduktape.so.*
%{_libdir}/libduktaped.so.*

%files devel
%{_includedir}/duk_config.h
%{_includedir}/duktape.h
%{_libdir}/libduktape.so
%{_libdir}/libduktaped.so
%{_libdir}/pkgconfig/duktape.pc

%changelog
* Mon Nov 28 2022 meissner@suse.com
- duktape-link-m.patch: link against libm for sin() and related functions,
  in case the compiler with -Os creates external references. bsc#1205805
* Fri Oct 30 2020 stefan.bruens@rwth-aachen.de
- Update to 2.6.0:
  * Various fixes and portability improvements.
* Tue Jul 28 2020 mrey@suse.com
- Update to 2.5.0:
  * CBOR support, minor fixes and improvements
- spec file changes
  * change http to https in URLs
  * use RPM macros
* Mon Jul 29 2019 avvissu@yandex.by
- Update to 2.4.0:
  * Minor fixes and improvements
* Thu Oct 18 2018 sean@suspend.net
- Update to 2.3.0:
  * ES2015 improvements
* Thu Apr 26 2018 avvissu@yandex.by
- Update to 2.2.1:
  * maintenance release
* Thu Oct  5 2017 avvissu@yandex.by
- Update to 2.2.0:
  * call handling, API improvements, performance
* Sat Jul 29 2017 avvissu@yandex.by
- Update to 2.1.1:
  * maintenance release
* Thu Jun  1 2017 jengelh@inai.de
- Correct RPM group.
* Tue May 30 2017 avvissu@yandex.by
- Initial package
